PUT api/v1/PreSchoolCategories/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
PreSchoolCategory| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| IconKey | string |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
|
| PreSchoolProgram | Collection of PreSchoolProgram |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"name": "sample string 2",
"iconKey": "sample string 3",
"displayOrder": 1,
"isActive": true,
"createdAt": "2026-04-18T15:07:58.3060424+03:00",
"updatedAt": "2026-04-18T15:07:58.3060424+03:00",
"preSchoolProgram": [
{
"id": 1,
"categoryId": 2,
"title": "sample string 3",
"subtitle": "sample string 4",
"ageMinMonths": 5,
"ageMaxMonths": 1,
"displayOrder": 1,
"isActive": true,
"createdAt": "2026-04-18T15:07:58.3060424+03:00",
"updatedAt": "2026-04-18T15:07:58.3060424+03:00"
},
{
"id": 1,
"categoryId": 2,
"title": "sample string 3",
"subtitle": "sample string 4",
"ageMinMonths": 5,
"ageMaxMonths": 1,
"displayOrder": 1,
"isActive": true,
"createdAt": "2026-04-18T15:07:58.3060424+03:00",
"updatedAt": "2026-04-18T15:07:58.3060424+03:00"
}
]
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.